Installation and Configuration

Installation

Select your operating system:

System Requirements

Operating System Requirements

swift applications are running on all relevant operation systems. Find below the specific support and requirements for each platform.

Windows

  • Microsoft Windows 8, 8.1, or 10 in 32 or 64 bit
  • 200 MB free disk space

Mac OS

  • MacOS 10.12 or higher
  • 64 bit only
  • 200 MB free disk space

Linux

  • 64 bit only
  • 200 MB free disk space

swift is built on Ubuntu 16.04 LTS. Therefore it should run on any modern Linux distributions that has the following minimum package versions installed

  • glibc 2.23 or higher
  • glibcxx 2.3.22 or higher
  • OpenSSL 1.1
  • libxcb-xinerama0
  • libspeexdsp
  • libopus

Simulator Requirements

swift supports the following simulators:

  • Microsoft Flight Simulator 2004 (experimental)
  • Microsoft Flight Simulator X with Acceleration or Service Pack 2 and Steam Edition
  • Lockheed Martin Prepar3D v1 - v5 (including minor versions)
  • X-Plane 11
  • FlightGear